import { Text } from '@codecademy/gamut';
import { getPathImageUrl } from '../ContentGroupBaseCard/helpers';
import { ContentGroupBaseCard } from '../ContentGroupBaseCard/index';
import { CertificateComponent, CourseCountComponent, Divider } from '../ContentGroupBaseCard/shared';
import { jsxs as _jsxs } from "react/jsx-runtime";
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
var SalaryComponent = function SalaryComponent(_ref) {
  var lowerBound = _ref.lowerBound,
    upperBound = _ref.upperBound;
  return /*#__PURE__*/_jsxs(Text, {
    variant: "p-small",
    children: ["Average Salary (US)", ' ', /*#__PURE__*/_jsxs("b", {
      children: ["$", lowerBound / 1000, "K - ", upperBound / 1000, "K"]
    })]
  });
};
export var CareerPathCard = function CareerPathCard(_ref2) {
  var imageUrl = _ref2.imageUrl,
    courseCount = _ref2.courseCount,
    shortDescription = _ref2.shortDescription,
    difficulty = _ref2.difficulty,
    enrollmentStatus = _ref2.enrollmentStatus,
    lessonCount = _ref2.lessonCount,
    title = _ref2.title,
    isFullSize = _ref2.isFullSize,
    hasCareerJourney = _ref2.hasCareerJourney,
    salary = _ref2.salary;
  return /*#__PURE__*/_jsxs(ContentGroupBaseCard, {
    headerBackgroundColor: "navy",
    headerText: "Career path",
    title: title,
    headingLevel: "h3",
    description: shortDescription,
    difficulty: difficulty,
    numLessons: lessonCount,
    shadow: "outline",
    imageSrc: getPathImageUrl(enrollmentStatus, imageUrl),
    isFullSize: isFullSize,
    enrollmentStatus: enrollmentStatus,
    children: [/*#__PURE__*/_jsx(Divider, {}), salary ? /*#__PURE__*/_jsx(_Fragment, {
      children: /*#__PURE__*/_jsx(SalaryComponent, {
        lowerBound: salary.lowerBound,
        upperBound: salary.upperBound
      })
    }) : /*#__PURE__*/_jsx(_Fragment, {
      children: /*#__PURE__*/_jsx(CourseCountComponent, {
        count: courseCount
      })
    }), /*#__PURE__*/_jsx(Divider, {}), /*#__PURE__*/_jsx(CertificateComponent, {
      professionalCert: !!hasCareerJourney
    })]
  });
};