import { ContentGroupBaseCard } from '../ContentGroupBaseCard';
import { CertificateComponent, Divider } from '../ContentGroupBaseCard/shared';
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export var CourseCard = function CourseCard(_ref) {
  var title = _ref.title,
    lessonCount = _ref.lessonCount,
    grantsCertificate = _ref.grantsCertificate,
    shortDescription = _ref.shortDescription,
    difficulty = _ref.difficulty,
    enrollmentStatus = _ref.enrollmentStatus,
    pro = _ref.pro,
    isFullSize = _ref.isFullSize;
  // only show certificates for pro exclusive courses, since only pro users can do pro courses & only pro users can gain certificates
  // edge case here: pro users who are logged in wont be able to tell - from the card - that a free course can grant them a cert as well
  var showCertificate = grantsCertificate && pro;
  return /*#__PURE__*/_jsx(ContentGroupBaseCard, {
    headerBackgroundColor: "green-100",
    headingLevel: "h3",
    headerText: pro ? 'Course' : 'Free course',
    title: title,
    description: shortDescription,
    difficulty: difficulty,
    numLessons: lessonCount,
    isFullSize: isFullSize,
    imageSrc: "https://static-assets.codecademy.com/Courses/Course-Cards/pillars.svg",
    enrollmentStatus: enrollmentStatus,
    children: showCertificate && /*#__PURE__*/_jsxs(_Fragment, {
      children: [/*#__PURE__*/_jsx(Divider, {}), /*#__PURE__*/_jsx(CertificateComponent, {})]
    })
  });
};