import { Anchor, Box, Column, LayoutGrid } from '@codecademy/gamut';
import * as React from 'react';
import { LogoFromSkillsoft } from '../..';
import { footerResourcesList } from '../../lib/resourcesList';
import { FooterHeading } from '../FooterHeading';
import { FooterLinkItem, FooterLinkItems, FooterLinkItemWithAnchor } from '../FooterLinks';
import { SocialMediaLinks } from './SocialMediaLinks';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
export var CompanyLinks = function CompanyLinks(_ref) {
  var hidePricing = _ref.hidePricing,
    _onClick = _ref.onClick;
  var community = /*#__PURE__*/_jsxs(Box, {
    children: [/*#__PURE__*/_jsx(FooterHeading, {
      children: "Community"
    }), /*#__PURE__*/_jsxs(FooterLinkItems, {
      children: [/*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx(Anchor, {
          href: "https://discuss.codecademy.com",
          onClick: function onClick(event) {
            return _onClick({
              event: event,
              target: 'forums'
            });
          },
          target: "_blank",
          variant: "interface",
          children: "Forums"
        })
      }), /*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx(Anchor, {
          href: "https://community.codecademy.com/chapters",
          onClick: function onClick(event) {
            return _onClick({
              event: event,
              target: 'chapters'
            });
          },
          target: "_blank",
          variant: "interface",
          children: "Chapters"
        })
      }), /*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx(Anchor, {
          href: "/events",
          onClick: function onClick(event) {
            return _onClick({
              event: event,
              target: 'events'
            });
          },
          variant: "interface",
          children: "Events"
        })
      }), /*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx("span", {
          id: "extole_zone_global_footer"
        })
      }), /*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx(Anchor, {
          href: "https://discord.com/invite/codecademy",
          onClick: function onClick(event) {
            return _onClick({
              event: event,
              target: 'discord'
            });
          },
          target: "_blank",
          variant: "interface",
          children: "Discord"
        })
      })]
    })]
  });
  var company = /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(FooterHeading, {
      children: "Company"
    }), /*#__PURE__*/_jsxs(FooterLinkItems, {
      children: [/*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx(Anchor, {
          href: "/about",
          onClick: function onClick(event) {
            return _onClick({
              event: event,
              target: 'about'
            });
          },
          variant: "interface",
          children: "About"
        })
      }), /*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx(Anchor, {
          href: "/about/careers",
          onClick: function onClick(event) {
            return _onClick({
              event: event,
              target: 'jobs'
            });
          },
          variant: "interface",
          children: "Careers"
        })
      }), /*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx(Anchor, {
          href: "/pages/codecademy-affiliate-program",
          onClick: function onClick(event) {
            return _onClick({
              event: event,
              target: 'affiliate_program'
            });
          },
          variant: "interface",
          children: "Affiliates"
        })
      }), /*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx(SocialMediaLinks, {})
      })]
    })]
  });
  var plans = /*#__PURE__*/_jsxs(Box, {
    mb: {
      _: 0,
      sm: 24
    },
    children: [/*#__PURE__*/_jsx(FooterHeading, {
      children: "Plans"
    }), /*#__PURE__*/_jsxs(FooterLinkItems, {
      children: [/*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx(Anchor, {
          href: "/pages/paid-plans",
          onClick: function onClick(event) {
            return _onClick({
              event: event,
              target: 'pro_membership'
            });
          },
          variant: "interface",
          children: "Paid memberships"
        })
      }), /*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx(Anchor, {
          href: "/student-center",
          onClick: function onClick(event) {
            return _onClick({
              event: event,
              target: 'students'
            });
          },
          variant: "interface",
          children: "For students"
        })
      }), /*#__PURE__*/_jsx(FooterLinkItem, {
        children: /*#__PURE__*/_jsx(Anchor, {
          href: "/business",
          onClick: function onClick(event) {
            return _onClick({
              event: event,
              target: 'business_landing'
            });
          },
          variant: "interface",
          children: "Business solutions"
        })
      })]
    })]
  });
  var resources = function resources(display) {
    return /*#__PURE__*/_jsxs(Box, {
      display: display,
      children: [/*#__PURE__*/_jsx(FooterHeading, {
        children: "Resources"
      }), /*#__PURE__*/_jsx(FooterLinkItems, {
        children: footerResourcesList.map(function (_ref2) {
          var id = _ref2.id,
            trackingTarget = _ref2.trackingTarget,
            href = _ref2.href,
            text = _ref2.text,
            newTab = _ref2.newTab;
          return /*#__PURE__*/_jsx(FooterLinkItemWithAnchor, {
            footerOnClick: _onClick,
            trackingTarget: trackingTarget,
            href: href,
            variant: "interface",
            target: newTab ? '_blank' : '',
            children: text
          }, id);
        })
      })]
    });
  };
  var support = function support(display) {
    return /*#__PURE__*/_jsxs(Box, {
      display: display,
      mt: {
        _: 0,
        sm: 24
      },
      children: [/*#__PURE__*/_jsx(FooterHeading, {
        children: "Support"
      }), /*#__PURE__*/_jsx(FooterLinkItems, {
        children: /*#__PURE__*/_jsx(FooterLinkItem, {
          children: /*#__PURE__*/_jsx(Anchor, {
            href: "https://help.codecademy.com",
            onClick: function onClick(event) {
              return _onClick({
                event: event,
                target: 'help'
              });
            },
            target: "_blank",
            variant: "interface",
            children: "Help Center"
          })
        })
      })]
    });
  };
  var logo = function logo(display) {
    return /*#__PURE__*/_jsx(Box, {
      display: display,
      mt: "auto",
      children: /*#__PURE__*/_jsx(FooterHeading, {
        children: /*#__PURE__*/_jsx(LogoFromSkillsoft, {
          height: 40
        })
      })
    });
  };

  // Footer items change placement depending on screen size
  return /*#__PURE__*/_jsxs(LayoutGrid, {
    children: [/*#__PURE__*/_jsxs(Column, {
      size: {
        _: 6,
        sm: 4
      },
      order: 1,
      gridTemplateRows: "min-content",
      children: [company, resources({
        _: 'unset',
        sm: 'none'
      }), support({
        _: 'unset',
        sm: 'none'
      })]
    }), /*#__PURE__*/_jsxs(Column, {
      size: {
        _: 6,
        sm: 4
      },
      order: {
        _: 3,
        sm: 2
      },
      gridTemplateRows: "min-content",
      children: [resources({
        _: 'none',
        sm: 'unset'
      }), support({
        _: 'none',
        sm: 'unset'
      })]
    }), /*#__PURE__*/_jsxs(Column, {
      size: {
        _: 6,
        sm: 4
      },
      order: {
        _: 2,
        sm: 3
      },
      gridTemplateRows: "min-content",
      children: [hidePricing ? null : plans, community, logo({
        _: 'unset',
        sm: 'none'
      })]
    }), /*#__PURE__*/_jsx(Column, {
      size: 4,
      order: 4,
      gridTemplateRows: "min-content",
      mt: "auto",
      display: {
        _: 'none',
        sm: 'block'
      },
      children: logo({
        _: 'none',
        sm: 'unset'
      })
    })]
  });
};