import { ContentGroupBaseCard } from '../ContentGroupBaseCard';
import { getPathImageUrl } from '../ContentGroupBaseCard/helpers';
import { CertificateComponent, CourseCountComponent, Divider } from '../ContentGroupBaseCard/shared';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export var SkillPathCard = function SkillPathCard(_ref) {
  var title = _ref.title,
    shortDescription = _ref.shortDescription,
    difficulty = _ref.difficulty,
    lessonCount = _ref.lessonCount,
    imageUrl = _ref.imageUrl,
    courseCount = _ref.courseCount,
    enrollmentStatus = _ref.enrollmentStatus,
    _ref$isFullSize = _ref.isFullSize,
    isFullSize = _ref$isFullSize === void 0 ? false : _ref$isFullSize;
  return /*#__PURE__*/_jsxs(ContentGroupBaseCard, {
    headerBackgroundColor: "blue-100",
    headerText: "Skill path",
    title: title,
    headingLevel: "h3",
    description: shortDescription,
    difficulty: difficulty,
    numLessons: lessonCount,
    shadow: "outline",
    imageSrc: getPathImageUrl(enrollmentStatus, imageUrl),
    isFullSize: isFullSize,
    enrollmentStatus: enrollmentStatus,
    children: [/*#__PURE__*/_jsx(Divider, {}), /*#__PURE__*/_jsx(CourseCountComponent, {
      count: courseCount
    }), /*#__PURE__*/_jsx(Divider, {}), /*#__PURE__*/_jsx(CertificateComponent, {})]
  });
};